{% extends "../index.htm" %}
{% load i18n %}  
{% load static %}

{% block htmlData %}
    <link rel='stylesheet' type='text/css' href='{% static "css/highcharts.css" %}' />
    <link rel='stylesheet' type='text/css' href='{% static "css/hcharts.css" %}' />
    <script src='{% static "js/highcharts.js" %}'></script>
    <script src='{% static "js/modules/exporting.js" %}'></script>
    <script src='{% static "js/modules/offline-exporting.js" %}'></script>
    <script src='{% static "js/modules/export-data.js" %}'></script>
    <script src='{% static "js/modules/accessibility.js" %}'></script>
    <script src='{% static "js/themes/grid-light.js" %}'></script>

    <div style="width: 1700px; margin: auto;">
        <div id="containerLeft" style=''>
            <figure class="highcharts-figure">
                <div id="statContainer"></div>
            </figure>
        </div>
    </div>
    
    <script type="text/javascript">
        var H = Highcharts;
        
        H.addEvent(H.Chart, 'aftergetTableAST', function(e) {
            e.tree.children[1].children.forEach(function(row) {
                row.children.forEach(function(cell, i) {
                if (i == 0) {
                    if (row.children[0].textContent == "DateTime") {
                        row.children[0].textContent = "Date";
                    };                   
                }
                });
            });
        });
        
        H.addEvent(H.Chart, 'aftergetTableAST', function(e) {
            e.tree.children[2].children.forEach(function(row) {
                row.children.forEach(function(cell, i) {
                if (i == 0) {
                    if (row.children[0].textContent == "DateTime") {
                        row.children[0].textContent = "Date";
                    };
                    row.children[0].textContent = cell.textContent.split(' ')[0];
                    
                }
                });
            });
        });
    
        Highcharts.chart('statContainer', {
            chart: {
                type: 'column',
                zoomType: 'x'
            },
            tooltip: {
                formatter: function () {
                    return '<span style="font-size: 10px">'+Highcharts.dateFormat('%Y/%m/%d', this.x)+'</span> <br/>'
                    + this.series.name + ': ' + Math.abs(this.y) + '<br/>' ;
                }
            },
            plotOptions: {
                column: {
                    stacking: 'normal'
                }
            },
            rangeSelector: {
                selected: 1
            },
            title: {
                text:  translateThis('nbMsgOverview') + "{{ domainName }}"
            },
            xAxis: {
                type: "datetime"
            },
            credits: {
                enabled: false
            },
            series: [{
                name: translateThis('Received'),
                data: {{ incoming|safe }}
            }, {
                name: translateThis('Sent'),
                data: {{ outgoing|safe }}
            }]
        });
        
    </script>
   
{% endblock %}
